#ifndef GRAPH_H_INCLUDED
#define GRAPH_H_INCLUDED

#include "p6vm.h"
#include "vsurface.h"



////////////////////////////////////////////////////////////////
// NX`
////////////////////////////////////////////////////////////////
class DSP6 {
protected:
	VM6* vm;
	
	VSurface *SBuf;			// Tuobt@|C^
	COLOR24 *Pal;			// pbgւ̃|C^
	int Bpp;				// J[[h
	int SLBr;				// XLCPx
	
	bool SetScreenSurface();				// XN[T[tFX쐬
	bool UpdateSubBuf();					// Tuobt@XV
	bool RefreshSubBuf();					// Tuobt@tbV
	
	void BlitToSDL( VSurface *, int, int );	// SDLT[tFXVSurfaceBlit
	void BlitToSDL2( VSurface *, int, int );	// SDLT[tFXVSurfaceBlit 2{

public:
	DSP6( VM6 * );							// RXgN^
	~DSP6();								// fXgN^
	
	bool Init( int, int, COLOR24 * );		// 
	
	bool ResizeScreen();					// XN[TCYύX
	
	void DrawScreen();						// ʍXV
	void SnapShot( char * );				// XibvVbg
	
	int ScreenX();							// LXN[擾
	int ScreenY();							// LXN[擾
	
	VSurface *GetSubBuffer();				// Tuobt@擾
};


#endif	// GRAPH_H_INCLUDED
